Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		cln
#Epoch:		0
Version:	1.3.1
Release:	1
License:	GNU/GPLv2
URL:		http://www.ginac.de/CLN/
Group:		System/Libraries
Summary:	class library for numbers
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: gmp-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: pkg-config

%description
CLN is a library for efficient computations with all kinds of numbers in arbitrary precision.
CLN is providing the following features:

    * Rich set of number classes:
      Integer (unlimited precision), rational, short float, single float, double float, long float (unlimited precision), complex, modular integer, univariate polynomial.
    * Elementary, logical, transcendental functions.
    * C++ as implementation language brings
          o efficiency,
          o type safety,
          o algebraic syntax.
    * Memory efficiency:
          o Small integers and short floats are immediate, not heap allocated.
          o Automatic, non-interruptive garbage collection.
    * Speed efficiency:
          o Assembly language kernel for some CPUs,
          o Karatsuba and Schönhage-Strassen multiplication,
          o binary splitting.
    * Interoperability:
          o Garbage collection with no burden on the main application,
          o hooks for memory allocation and exceptions.


%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --del %{_infodir}/cln.info.gz %{_infodir}/dir
fi

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi
/sbin/install-info %{_infodir}/cln.info.gz %{_infodir}/dir

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

rm -rf $RPM_BUILD_ROOT%{_infodir}/dir

%files
%defattr(-,root,root)
%{_bindir}/pi
%{_libdir}/libcln.so.*
%{_infodir}/cln.info.gz
%{_mandir}/man1/pi.1.gz

%files devel
%defattr(-,root,root)
%{_includedir}/cln
%{_libdir}/libcln.a
%{_libdir}/libcln.la
%{_libdir}/libcln.so
%{_pkgconfig}/cln.pc


%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Wed Jun 30 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.3.1-1
- initial CCux package release
